#!/bin/sh
#
# Instalador de Xlack Script por DaRkNeSs
# Gracias a THraSH por la ayuda proporcionada

xC1='\e[0;37m'
xC2='\e[1;32m'
xC3='\e[1;31m'
NC='\e[0m'      
xchat_dir=$HOME/.xchat2

install() {

echo -e " ${xC2}*$NC Comprobando existencia del directorio ${xC1}[$NC $xchat_dir ${xC1}]"
if [ ! -d $xchat_dir ]; then
echo -e " ${xC1}									[${xC3} !!${xC1} ]"
        echo -e " $NC  ======================================================= "
        echo -e " $NC  Lo Siento, No ha sido encontrado ${xC1}[$NC $xchat_dir ${xC1}]"
        exit 1;
fi

echo -e " ${xC1}									[${xC2} OK${xC1} ]"

echo -e " ${xC2}*$NC Comprobando Xlack Script... "
if [ ! -f xlack*.pl ]; then
echo -e " ${xC1}									[${xC3} !!${xC1} ]"
        echo -e " $NC  ======================================================= "
        echo -e " $NC  Lo Siento, No se han encontrado los archivos necesarios,"
        echo -e " $NC  ejecute el instalador en la carpeta donde esten los archivo del script... "
        echo -e " $NC  ERROR... Xlack Script, No ha sido instalado. :( "
        exit 2;
fi

if [ -f $xchat_dir/xlack*pl ]; then
        echo -e " ${xC2}*$NC Se encontro version anterior, removiendo..."
        rm -fr $xchat_dir/xlack*
echo -e " ${xC1}									[${xC2} OK${xC1} ]"
fi 
	cp xlack*.pl $xchat_dir
        cp xlack.conf $xchat_dir
        cp -R xlack $xchat_dir
	echo -e " ${xC2}*$NC Instalando..."
echo -e " ${xC1}									[${xC2} OK${xC1} ]"
	echo -e " ${xC2}*$NC Xlack Script ha sido colocado en ${xC1}[$NC $xchat_dir ${xC1}]"
	echo -e " ${xC2}*$NC La instalacion ha sido realizada con exito, Gracias por usar Xlack."
        echo "                  	- DaRkNeSs 2003/2005 -              "
        exit 3;
}

uninstall() {
echo -e " ${xC2}*$NC Comprobando existencia del directorio ${xC1}[$NC $xchat_dir ${xC1}]"
if [ ! -d $xchat_dir ]; then
echo -e " ${xC1}									[${xC3} !!${xC1} ]"
        echo -e " $NC  ======================================================= "
        echo -e " $NC  Lo Siento, No ha sido encontrado ${xC1}[$NC $xchat_dir ${xC1}]"
        exit 1;
fi

if [ ! -f $xchat_dir/xlack*.pl ]; then
echo -e " ${xC1}									[${xC3} !!${xC1} ]"
        echo -e " $NC  ======================================================= "
        echo -e " $NC  No ha encontrado Xlack Script en el directorio !"
        exit 2;
fi

if [ -f $xchat_dir/xlack*.pl ]; then
        echo -e " ${xC2}*$NC Removiendo Xlack..."
echo -e " ${xC1}									[${xC2} OK${xC1} ]"
        rm -fr $xchat_dir/xlack*
        echo -e " $NC  Hecho."
        echo -e " $NC  Es una pena que no haya sido de su agrado el script, gracias por probarlo."
        exit 3;
fi
}

bye () {
echo -e " ${xC2}*$NC Tal vez en otra ocasion, hasta luego :)"
	exit 1; 
}

nofound () {
echo -e " ${xC2}*$NC Opcion no valida, debe usar: [I/i/D/d/S/s]."
	exit 1; 
}

echo -e " ${xC2}*$NC Bienvenido al Instalador - Xlack Script v.2.1"
echo -e " $NC  Que desea hacer?, [I]nstalar, [D]esistalar o [S]alir:"
echo -e "\n"
echo -e " $NC  - [I]nstalar   : Instala la nueva version de Xlack Script o Actualiza,"
echo -e " $NC                   en caso de existir una version anterior."
echo -e " $NC  - [D]esistalar : Borrar Xlack."
echo -e " $NC  - [S]alir      : Abandonar el instalador, sin hacer nada."
echo -e "\n"
	read OPT
	case $OPT in
i) install;;
I) install;;
d) uninstall;;
D) uninstall;;
S) bye;;
s) bye;;
*) nofound;;
esac
