 
#!/bin/sh
#
# Install Script for Xlack by DaRkNeSs
# Thanks to THraSH for the proportionate aid
# Traduction française ZeBlop

xC1='\e[0;37m'
xC2='\e[1;32m'
xC3='\e[1;31m'
NC='\e[0m'      
xchat_dir=$HOME/.xchat2

install() {

echo -e " ${xC2}*$NC Vérification du dossier ${xC1}[$NC $xchat_dir ${xC1}]$NC "
if [ ! -f xlack*.pl ]; then
echo -e " ${xC1}									[${xC3} !!${xC1} ]"
        echo -e " $NC  ======================================================= "
        echo -e " $NC  Désolé, ${xC1}[$NC $xchat_dir ${xC1}]$NC non trouvé !"
        exit 1;
fi

echo -e " ${xC1}									[${xC2} OK${xC1} ]"

echo -e " ${xC2}*$NC Vérification du script Xlack "
if [ -f $xchat_dir/xlack*pl ]; then
echo -e " ${xC1}									[${xC3} !!${xC1} ]"
        echo -e " $NC  ======================================================= "
        echo -e " $NC  Désolé, les fichiers nécessaires n'ont pas été trouvé dans le dossier spécifié,"
        echo -e " $NC  executez encore dans le dossier ou se trouve les archives du script Xlack... "
        echo -e " $NC  ERREUR... le script Xlack n'a pas été installé. :( "
        exit 2;
fi

if [ -f $xchat_dir/xlack*.pl ]; then
        echo -e " ${xC2}*$NC Ancienne version trouvée, suppression..."
        rm -fr $xchat_dir/xlack*
echo -e " ${xC1}									[${xC2} OK${xC1} ]"
fi 
	cp xlack*fr.pl $xchat_dir
        cp xlack.conf $xchat_dir
        cp -R xlack $xchat_dir
	echo -e " ${xC2}*$NC Installation en cours..."
echo -e " ${xC1}									[${xC2} OK${xC1} ]"
	echo -e " ${xC2}*$NC Xlack a été placé dans ${xC1}[$NC $xchat_dir ${xC1}]"
	echo -e " ${xC2}*$NC Le script a été installé correctement, merci de l'utiliser."
        echo "                - DaRkNeSs 2003/2005 -              "
        exit 3;
}

uninstall() {
echo -e " ${xC2}*$NC Verification du dossier ${xC1}[$NC $xchat_dir ${xC1}]$NC "
if [ ! -d $xchat_dir ]; then
echo -e " ${xC1}									[${xC3} !!${xC1} ]"
        echo -e " $NC  ======================================================= "
        echo -e " $NC  Désolé, ${xC1}[$NC $xchat_dir ${xC1}]$NC non trouvé !"
        exit 1;
fi

if [ ! -f $xchat_dir/xlack*.pl ]; then
echo -e " ${xC1}									[${xC3} !!${xC1} ]"
        echo -e " $NC  ======================================================= "
        echo -e " $NC  Je n'ai pas trouvé Xlack dans ce dossier !"
        exit 2;
fi

if [ -f $xchat_dir/xlack*.pl ]; then
        echo -e " ${xC2}*$NC Suppression de Xlack..."
echo -e " ${xC1}									[${xC2} OK${xC1} ]"
        rm -fr $xchat_dir/xlack*
        echo -e " $NC  Effectuée."
        echo -e " $NC  Hey ce script n'a pas été fait pour être traité comme ça :p"
        exit 3;
fi
}

bye () {
echo -e " ${xC2}*$NC Peut être plus tard ^_^ bye bye :)"
	exit 1; 
}

nofound () {
echo -e " ${xC2}*$NC Option invalide, types: [I/i/D/d/S/s]."
	exit 1; 
}

echo -e " ${xC2}*$NC Bienvenue dans l'installation - Xlack Script v.2.1"
echo -e " $NC  Que souhaitez vous faire?, [I]nstaller, [D]esinstaller ou [Q]uitter:"
echo -e "\n"
echo -e " $NC  - [I]nstaller    : Installe la nouvelle version du script Xlack et met a jour,"
echo -e " $NC                     en cas d'installation antérieure."
echo -e " $NC  - [D]esinstaller : Suppression pure et simple d'Xlack."
echo -e " $NC  - [Q]uit         : Arrêt de l'installeur sans toucher a rien."
echo -e "\n"
	read OPT
	case $OPT in
i) install;;
I) install;;
d) uninstall;;
D) uninstall;;
Q) bye;;
q) bye;;
*) nofound;;
esac
